var idTecnicoNueva="";
$( document ).ready(function() {
	
	$("#botoneraModificar").show();
	    
	$("#bt_Volver").bind("click", volver);
	$("#bt_guardar").bind("click", confirmarModificar);
	
	$("#feedbacknuevoTecnico").rup_feedback({
		type : "ok",
		block : false,
		closeLink : true
	});

});

/***************************************************************************/
/********************   TOOLTIPS *******************************************/
/***************************************************************************/
$("#imgBuscarServicios").rup_tooltip({
	content: {
	text: $.rup.i18n.app.nuevo.ventanaSeleccion
	}
});


/***************************************************************************/
/********************   SERVICIOS *******************************************/
/***************************************************************************/
function btn_BuscarServicios(){
	var urlServicios="../servicios/obtenerServiciosAlta";
	
	$("#idTablaServicios").empty();
	var textoBaja="";
	//Obtener la lista de Servicios
	$.ajax({
		type: "POST",
		url: urlServicios,
		success: function(data){
			var miselect=$("#idTablaServicios");
			$("#idTablaServicios").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion =  textoBaja + data[i].cservicio;
              	} else {
              		descripcion = textoBaja + data[i].eservicio;
              	}
              	miselect.append('<option value="' + data[i].idservicio + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	
	//Mostrar la ventana de lupa Servicios
	$("#lupaServicios").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:450,  
        resizable:false,
        title:$.rup.i18n.app.comun.serviciosVigentes,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarlupaServicios",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
		        		//Pintar el texto de servicio 
		        		$("#idServicio").val($("#idTablaServicios option:selected").val());
		        		var texto = $("#idTablaServicios option:selected").html();
		        		texto = texto.replace(/&nbsp;/g, "");
		        		$("#textoServicio").val(texto);

		        		$("#lupaServicios").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarlupaServicios",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaServicios").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
   

}

function volver(){
	window.location = "/aa20bMaqPartesWar/tecnicos/maint";
}

/**
 * 
 */
function confirmarModificar (){
	var codigoUsuario = $("#uidPer").val();
	var bUsuEnXLNets = false;
	var bUsuDuplicado = false;

//	//Comprobar que el puesto existe en XLNETS
//	$.ajax({
//		  type: "POST",
//		  url: "../usuarioXLNET/existePuestoXLNET",
//		  data:  { puestoIntroducido:codigoUsuario},
//		  success: function(data){
//				  if (data==true){
//					  // El puesto existe en XLNET
//					  //Validar que no exista ya otro tecnico con ese UIDPUESTO
//					  $.ajax({
//						  type: "POST",
//						  url: "../tecnicos/UIDPUESTOduplicado",
//						  data:  { puestoIntroducido:codigoUsuario},
//						  success: function(dataDuplicado){
//								  if (dataDuplicado==true){
//									  // El UDIPUESTO ya lo tiene otro técnico
//									  $.rup_messages("msgError", { 
//								 			title: $.rup.i18n.app.comun.control,
//									 		message: $.rup.i18n.app.mensajesUsuarios.uidPuestoDuplicado
//									 	});
//
//								  }else{
//									  //UIDPUESTO VALIDO
//										$.rup_messages("msgConfirm", {
//											title: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.modificar"),			
//											message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaGuardar"),
//											OKFunction: function(){
//												altaTecnico();	
//											},
//												CANCELFunction : function(){
//											}
//											});
//								  }
//								  },
//									 error: function(data){
//										 alert( "Error. UIDPUESTOduplicado");
//									 },
//								  dataType: "json"
//								});
//
//				  }else{
//					  // El puesto NO existe en XLNET
//					  $.rup_messages("msgAlert", { 
//				 			title: $.rup.i18n.app.comun.control,
//					 		message: $.rup.i18n.app.mensajesUsuarios.puestoNoExiste
//					 	});
//				  }
//			  },
//			 error: function(data){
//				 alert( data);
//			 },
//		  dataType: "json"
//		});

	//Comprobar si el puesto existe en XLNET
	$.ajax({
		  type: "POST",
		  url: "../usuarioXLNET/existePuestoXLNET",
		  data:  { puestoIntroducido:codigoUsuario},
		  success: function(data){
				  if (data){
					  bUsuEnXLNets = true;
				  }else{
					  bUsuEnXLNets = false;
				  }
				  if (bUsuEnXLNets == false){
						if (!(codigoUsuario.substring(0,2)=="88" && codigoUsuario.length==8)){
							  // El puesto indicado no existe en XL-Nets y, en ese caso, debe empezar por 88 y tener una longitud de 8 caracteres (88xxxxxx).
							  $.rup_messages("msgError", { 
						 			title: $.rup.i18n.app.comun.control,
							 		message: $.rup.i18n.app.mensajesUsuarios.codPuestoNOXLNetsErr
							 	});
								return false;
						}
				  }
				  // Independientemente de que el puesto exista en XLNET.
				  //Validar que no exista ya otro tecnico con ese UIDPUESTO
				  $.ajax({
					  type: "POST",
					  url: "../tecnicos/UIDPUESTOduplicado",
					  data:  { puestoIntroducido:codigoUsuario, idTecnico:0 },
					  success: function(data){
							  if (data){
								  bUsuDuplicado = true;
							  }else{
								  bUsuDuplicado = false;
							  }
							  if (bUsuDuplicado==true){
								  // El UDIPUESTO ya lo tiene otro técnico
								  $.rup_messages("msgError", { 
							 			title: $.rup.i18n.app.comun.control,
								 		message: $.rup.i18n.app.mensajesUsuarios.uidPuestoDuplicado
								 	});
									return false;
							  }
								$.rup_messages("msgConfirm", {
									title: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.modificar"),			
									message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaModificar"),
									OKFunction: function(){
										//... y si da el visto bueno se da de alta el técnico
										altaTecnico();	
									},
										CANCELFunction : function(){
									}
									});
							  },
								 error: function(data){
									 alert( data);
								 },
							  dataType: "json"
							});
			  },
			 error: function(data){
				 alert( data);
			 },
		  dataType: "json"
		});

}

function altaTecnico(){
	
	// Convertimos los checkbox a 0 y 1 en funcion de si están seleccionados o no
	$("input[type=checkbox]").each (function() {						
		$(this).val(this.checked ? "1" : "0");
	});
	
	var properties={
			url:"../tecnicos/alta",
			feedback:$("#feedbacknuevoTecnico"),
			dataType: "json",
			 beforeSend : function(data) {
					//Mostrar div de sincronizando
				  $("#dialogoGuardar").rup_dialog(
							{
								type : $.rup.dialog.DIV,
								height : 200,
								width : 500,
								modal : true,
								showLoading : true,
								autoOpen : false,
								title : $.rup.i18n.app.mensajesEdificios.guardando
							});
					$("#dialogoGuardar").rup_dialog("open");
			  },
			 error: function() {
				 $("#dialogoGuardar").rup_dialog("close");
				  	$("#dialogoGuardar").rup_dialog("destroy");
				 	$("#feedbacknuevoTecnico").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");			

			 },
			 success: function(data2){
				 $("#dialogoGuardar").rup_dialog("close");
				  	$("#dialogoGuardar").rup_dialog("destroy");
				 	if (data2!=null){
						 $("#feedbacknuevoTecnico").rup_feedback("set", $.rup.i18n.app.accionesRegistros.guardadook, "ok");
						 //ahora abrimos el tecnico en modo edicion
						 idTecnicoNueva = data2.idtecnico;
						 editarTecnico();
				 	};
			 },
			 validate: {
				 rules: {
						"nombre":{required:true},
						"textoServicio" : {required:true}
				 }
			 }
			};
			$("#nuevoTecnicoForm").rup_form(properties);
			$("#nuevoTecnicoForm").submit();
		
}

function editarTecnico(){
	
    // enviamos el form con el idTecnico para la busqueda
	buscaTecnicoForm.idTecnicoBusc.value = idTecnicoNueva;
	buscaTecnicoForm.submit();
}
